Gtk2::Ex::FormFactory::ProxyBuffered(3)

NAME
Gtk2::Ex::FormFactory::ProxyBuffered - Buffering object proxy

SYNOPSIS
  #-- Proxies are always created through
  #-- Gtk2::Ex::FormFactory::Context, never
  #-- directly by the application.

  Gtk2::Ex::FormFactory::ProxyBuffered->new (
    Gtk2::Ex::FormFactory::Proxy attributes
  );

DESCRIPTION
This class is derived from Gtk2::Ex::FormFactory::Proxy and buffers all changes made to object through the proxy. For details about buffering please refer to the chapter BUFFERED CONTEXT OBJECTS in Gtk2::Ex::FormFactory::Context.

OBJECT HIERARCHY
  Gtk2::Ex::FormFactory::Proxy
  +-- Gtk2::Ex::FormFactory::ProxyBuffered

ATTRIBUTES
This module has no additional attributes over those derived from Gtk2::Ex::FormFactory::Proxy.

METHODS

$proxy->commit_buffer ()
    Commits all changes buffered in the $proxy object to the corresponding application object.

$proxy->discard_buffer ()
    Discards all buffered changes.

For more methods refer to Gtk2::Ex::FormFactory::Proxy.

AUTHORS
 Joern Reder <joern at zyn dot de>

COPYRIGHT AND LICENSE
Copyright 2004-2006 by Joern Reder.

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA.

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 179:
    =back without =over